Mail archive
alpine-aports

[alpine-aports] [PATCH] main/util-linux: upgrade to 2.28.2

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Wed, 7 Sep 2016 19:52:44 -0400

---
 main/util-linux/APKBUILD | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)
diff --git a/main/util-linux/APKBUILD b/main/util-linux/APKBUILD
index 764fe5db..985b721 100644
--- a/main/util-linux/APKBUILD
+++ b/main/util-linux/APKBUILD
_at_@ -2,7 +2,7 @@
 # Contributor: Leonardo Arena <rnalrd_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=util-linux
-pkgver=2.28.1
+pkgver=2.28.2
 
 case $pkgver in
 	*.*.*) _v=${pkgver%.*};;
_at_@ -36,22 +36,18 @@ fi
 makedepends="$makedepends_build $makedepends_host"
 replaces="e2fsprogs util-linux-ng"
 
-_builddir="$srcdir/$pkgname-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
 prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	default_prepare || return 1
+
+	cd "$builddir"
 	cp "$srcdir"/ttydefaults.h include/
 	libtoolize --force && aclocal -I m4 && autoconf \
 		&& automake --add-missing
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 
 	# login utils are provided by shadow (with PAM) or busybox (no PAM) --nenolod
 	./configure \
_at_@ -75,8 +71,8 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make -j1 install DESTDIR="$pkgdir"
+	make -j1 DESTDIR="$pkgdir" \
+		-C "$builddir" install || return 1
 	# use pkg-config
 }
 
_at_@ -173,12 +169,12 @@ _py() {
 	mv "$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
 }
 
-md5sums="e2d863efaf4fd330a42c5efe9f1b02b4  util-linux-2.28.1.tar.xz
+md5sums="46a232a37bce45371a86d19300edc47a  util-linux-2.28.2.tar.xz
 ee12cce6423e6f7ea4c9c438989e77d7  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 6196f1ce853dfaf717569c1e35555d6d  ttydefaults.h"
-sha256sums="3ece4ea4a34ef786b68f5c415e848390424232abd1ee00f7ee5bddc30657b60f  util-linux-2.28.1.tar.xz
+sha256sums="b89d37146f20bede93a42c847bce881a17e6dbd8066ff2db2bee733fa409f0cd  util-linux-2.28.2.tar.xz
 12b6434a229d08c81f45735cac50e9003908f3ad974c59cec93ddf57700077f3  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 46faf1198bd884d12c5d45019a5fec8dfdefeae6721d8c9f3da89921acdb2a6d  ttydefaults.h"
-sha512sums="58f2fdb1db6cf712dc8ca02550d17735cb0b5892b8151f26f5565cdaa6fe008207457c1d5b7d7c2a5b866ee86f4cf423b22911f63328e0ebd5cad7b197b53213  util-linux-2.28.1.tar.xz
+sha512sums="ac1c2d4c92bbc4eabed464cb0334c1d9b21e58df0f07f0b26e7adcfa188879de8632d195b65a4358c5e11e14ac6e09a1c6206265bbf1fab4ce122414bee7e940  util-linux-2.28.2.tar.xz
 ec27d4227f7e0f08198ecf00f4c7da379ed588eb05835c318322bec26841868e51337c5710706237a7a3358aa0db6d4514c8f2444d02b2bd800f1c7f9e9570c2  libblkid-reduce-probing-area-for-crazy-CDROMs.patch
 876bb9041eca1b2cca1e9aac898f282db576f7860aba690a95c0ac629d7c5b2cdeccba504dda87ff55c2a10b67165985ce16ca41a0694a267507e1e0cafd46d9  ttydefaults.h"
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Sep 07 2016 - 19:52:44 GMT